using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WorldOfPeacecraft
{
    class Skirmish : IGame
    {
        Random random = new Random();

        public Skirmish()
        {
        }

        public Decision getFirstMove()
        {
            return getNextMove();
        }

        public Decision getNextMove(Decision opLM)
        {
            return getNextMove();
        }

        public Decision getNextMove()
        {
            int randomNumber = random.Next(0, 2);
            Decision bla;
            switch (randomNumber)
            {
                case 0:
                    bla = Decision.SWORD;
                    break;
                case 1:
                    bla = Decision.MAGIC;
                    break;
                case 2:
                default:
                    bla = Decision.ALCHEMY;
                    break;
            }
            return bla;
        }
    }
}
